Rui Silva - UCspotting

Useful stuff about Unified Communications

Upgrade Tanjay 1.0.199? Yes we can!

Upgrade Tanjay 1.0.199? Yes we can!

  • Comments 2
  • Likes

lg-nortel-ip8540

I recently had to upgrade 2 LG-Nortel IP Phone 8540 (aka Tanjay or OCPE) to the latest firmware available: Microsoft Office Communicator 2007 Phone Edition v1.0.522.101.

The device was running version 1.0.199 (1.23) of the software which was still a Beta version and had, of course, some annoying bugs.

 

So, how do you upgrade one of these babies? You use Microsoft Office Communications Server 2007 Software Update Service, a kind of WSUS specific for UC devices. I'm not going into details about deploying this service, for that please read Microsoft Office Communications Server 2007 Software Update Service Deployment Guide.

 

After you setup the OCS Update Service, you just need to turn on the device, sign-in and hopefully the device will automatically upgrade (there are a couple of additional steps, like preparing the infrastructure and approving the update, but let's keep it simple for now).

To sign-in, you must provide 3 things:

  • SIP Address (user@domain.com)
  • User name (DOMAIN\User)
  • Password

My problems started here, I couldn't even sign-in, because the device didn't accept the certificate that was issued with my private Enterprise CA (BTW, using private certificates is 100% supported, as long as you publish the Root CA in Active Directory. I blogged about it recently and Jens Trier Rasmussen also has a great post about the subject).

The error message was "Cannot validate server certificate".

Let the troubleshooting begin:

  1. Review Communicator Phone Edition Deployment Guide: CHECK!
  2. Troubleshoot OCS Update Service: CHECK!
  3. Anonymous FTP to the device and download system.clg1: CHECK!

What else could I do? I was about to send the devices to LG Nortel when I tried a different approach: changing the format of the user name at the sign-in window. Do you know what? IT WORKED!

The Solution:

If you have Beta Tanjay devices running version 1.0.199 of Communicator Phone Edition and don't seem to get it working, try to change the user name to one of these formats:

  • user@domain.com
  • domain.com\user

as opposed of using DOMAIN\user.

I'm now running version 1.0.522.101 that besides some bug fixes, it also supports R2!

 

[UPDATE]

Jens wrote a great article that could potentially be related to this issue: When do you need to use DHCP option 119 with OCPE powered devices?

After reviewing my environment, I confirmed that DHCP option 119 was in place, so the problems I had were probably due to some bug in the beta version.

Comments
  • Let me start by saying that, although the title of this post refers Polycom CX700 (because was this device

  • Please, Could you provide the old beta version 1.0.199 ? any help would be appreciated.

    Regards.

Your comment has been posted.   Close
Thank you, your comment requires moderation so it may take a while to appear.   Close
Leave a Comment